<html lang="zh">
<head>
    <meta charset="UTF-8">
    <title>录播节目查询</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link href="{{ mix('/css/app.css') }}" rel="stylesheet"/>
</head>
<body>
@include("common.header")
<div class="border-2 lg:w-1/2 w-full">
    <div class="text-lg font-bold">
        <span title="节目">{{$program->name}}</span>
        <span title="难度">{{$program->difficulty}}</span>
        <span title="要求">{{$program->desc}}</span>
    </div>
    <div class="ml-2">
        @foreach($program->appends as $append)
            <x-append :append="$append"></x-append>
        @endforeach
    </div>
    <div>
        @foreach($videos as $video_pivot)
            <a class="text-blue-600" href="{{url("/danmakus/".$video_pivot->video_bvid)}}">查看弹幕</a>
        @endforeach
    </div>
</div>
<table class="table-auto border-collapse w-full lg:border lg:border-black">
    <thead>
    <tr class="border border-black sticky bg-white lg:static top-0 left-0 right-0">
        <td class="border">节目开始时的画面</td>
        <td class="border">节目结束时的画面</td>
    </tr>
    </thead>
    <tbody>
    @foreach($videos as $video_pivot)
        <tr class="border">
            <td class="border align-bottom">
                <x-links.video_link :bvid="$video_pivot->video_bvid" :part="$video_pivot->start_part" :time="$video_pivot->start_time">
                    <div>{{$video_pivot->created_at}} P{{$video_pivot->start_part}}#{{$video_pivot->start_time}}</div>
                    @if($video_pivot->start_image)
                        <img loading="lazy" width="300" src="{{$video_pivot->start_image}}" alt="开始时的画面">
                    @else
                        节目开始位置
                    @endif
                </x-links.video_link>
            </td>
            <td class="border align-bottom">
                <x-links.video_link :bvid="$video_pivot->video_bvid" :part="$video_pivot->stop_part" :time="$video_pivot->stop_time">
                    <div>P{{$video_pivot->stop_part}}#{{$video_pivot->stop_time}}</div>
                    @if($video_pivot->start_image)
                        <img loading="lazy" width="300" src="{{$video_pivot->stop_image}}" alt="结束时的画面">
                    @else
                        节目结束位置
                    @endif
                </x-links.video_link>
            </td>
        </tr>
    @endforeach
    </tbody>
</table>
@include("common.footer")
</body>
</html>
